Bug 1071122 - Python 3 packages are no longer building
Summary: Python 3 packages are no longer building
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-testtools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1049250
TreeView+ depends on / blocked
 
Reported: 2014-02-28 06:25 UTC by Jamie Lennox
Modified: 2015-10-26 01:12 UTC (History)
5 users (show)

Fixed In Version: python-testtools-0.9.35-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-04 09:39:05 UTC


Attachments (Terms of Use)

Description Jamie Lennox 2014-02-28 06:25:05 UTC
It appears that koji has stopped producing python 3 packages for testtools. For example: 

0.9.30: http://koji.fedoraproject.org/koji/buildinfo?buildID=420032 -- has py3
0.9.35: http://koji.fedoraproject.org/koji/buildinfo?buildID=495567 -- missing py3

This is happening for at least fedora 19-21. 

This is preventing (me from) packaging sources dependant on python3-testtools.

Comment 1 Jamie Lennox 2014-02-28 06:39:33 UTC
This appears to have been an explicit decision: http://pkgs.fedoraproject.org/cgit/python-testtools.git/commit/?id=bbc8b71a93b4f0abf9baf34ae132d3d3a1e26c52

Comment 2 Fedora Update System 2014-03-24 10:41:10 UTC
python-testtools-0.9.35-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-testtools-0.9.35-2.fc20

Comment 3 Fedora Update System 2014-03-24 10:55:19 UTC
python-testtools-0.9.35-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-testtools-0.9.35-2.fc19

Comment 4 Fedora Update System 2014-03-25 08:17:51 UTC
Package python-testtools-0.9.35-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-testtools-0.9.35-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4297/python-testtools-0.9.35-2.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-04-04 09:39:05 UTC
python-testtools-0.9.35-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-04-04 09:44:14 UTC
python-testtools-0.9.35-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.